
/* Breadcrumb-Hintergrund passend zur gewählten Block-Hintergrundfarbe */

.single-post:has(.has-testkunden-background-color) .blog-breadcrumbs-wrap, 
.single-post:has(.has-testkunden-background-color) .custom-post-navigation-wrap, 
.single-post:has(.has-testkunden-background-color) .logo-container-wrap{
	background-color: var(--wp--preset--color--testkunden, #2C3531);
}



.single-post:has(.has-wordpress-background-color) .blog-breadcrumbs-wrap, 
.single-post:has(.has-wordpress-background-color) .custom-post-navigation-wrap,
.single-post:has(.has-wordpress-background-color) .logo-container-wrap{
	background-color: var(--wp--preset--color--wordpress, #116466);
}



.single-post:has(.has-responsive-background-color) .blog-breadcrumbs-wrap,
.single-post:has(.has-responsive-background-color) .custom-post-navigation-wrap,
.single-post:has(.has-responsive-background-color) .logo-container-wrap
{
	background-color: var(--wp--preset--color--responsive, #88D4C1);
}



.single-post:has(.has-seo-background-color) .blog-breadcrumbs-wrap,
.single-post:has(.has-seo-background-color) .custom-post-navigation-wrap,
.single-post:has(.has-seo-background-color) .logo-container-wrap{
	background-color: var(--wp--preset--color--seo, #F0EAE5);
}


.blog-breadcrumbs-wrap, .custom-post-navigation-wrap  {
	width: 100vw;
	margin-left: calc(50% - 50vw);
	margin-right: calc(50% - 50vw);

	padding: 18px 20px;
	background-color: inherit;
}

.logo-container-wrap, .custom-post-navigation-wrap{
    padding: 4px 4px;
}

.blog-breadcrumbs, .custom-post-navigation, .logo-container{
    max-width: var(--max-width);
    margin: 0 auto;
}


.logo-container  {

  border-radius: 50%;
  box-shadow:    3px 2px 0px #FEBAE2;
  transition: all 0.3s ease;
	text-align:center;

}

.logo-container figure {
  margin: 0;
}

.logo-container:hover {
  transform: translateY(-3px);
  box-shadow:  none;
  
}

.logo-container figure a {
  display: block;
 

}

.logo-container img{
    display: block;
    margin: 0 auto;
	width: 80px;
	height: 80px;
	border-radius: 50%;
	object-fit: cover;
	transition: all 0.3s ease;
		
	}


.logo-container img:hover{
	transform: scale(1.02);
	border:none;
		
	}


.custom-post-navigation-wrap{
    margin-top: 0px;
    padding-bottom: 150px;
}

.custom-post-navigation{
    display: flex;
    margin-top: 10px;
}

.custom-post-nav-item{
   width: 50%; 
   text-align: center;
}





.rank-math-breadcrumb{
    color: var(--clr-white-soft);
}

.seo .rank-math-breadcrumb{
    color: var(--clr-black);
}




.rank-math-breadcrumb a,
 .custom-link,
.outer-link {
  display: inline-block;
  transition: transform 0.3s ease;
}

.rank-math-breadcrumb a,
.custom-link {
    color: #FC74C4;
    text-decoration: none;
  
}

.rank-math-breadcrumb a:hover,
.custom-link:hover  {
    color: #FC74C4;
  transform: scale(1.03);
  
}

.seo .rank-math-breadcrumb a {
    color: var(--clr-dark-rosa);
  text-decoration: none;
}

.seo .rank-math-breadcrumb a:hover{
    color: var(--clr-dark-rosa);
    transform: scale(1.03);
}

.custom-link {
    color: #FC74C4;
    text-decoration: none;
  
}


.custom-link:hover  {
    color: #FC74C4;
  transform: scale(1.02);
  
}

.custom-link.seo{
    color:var(--clr-dark-rosa);
}

.custom-link.seo:hover{
    color:var(--clr-dark-rosa);
     transform: scale(1.02);
}
.outer-link {
    color: #FC74C4;
    text-decoration: underline;
}

.outer-link:hover  {
    color: #FC74C4;
  transform: scale(1.02);
  text-decoration: underline;
 
  
}



.label {
  display: inline-block;
  width: fit-content;
  padding: 2px 10px;

  border-radius: 3px;
 
}


.vertical-text {
     display:none;

}

.spalten-3-grid{
    display: grid;
    gap: 0px; 
    max-width: 1160px;
    margin-inline: auto;
    justify-content: center;
    align-items: start;
}

.text-center {
    text-align: center;
}
.justify-center{
    justify-content:center;
  
}

.wp-block-group.wrap-gruppe{
    flex-wrap: wrap;
}
.wp-block-group.padding-wrap{
    flex-wrap: wrap;
    padding:0;
}

.bild-gruppe-20, .bild-gruppe-30{
   width: 100%; 
}

@media (min-width: 576px) {
    .spalten-3-grid{
        grid-template-columns:  repeat(3, auto);
    }
    .text-center{
       text-align: left;
   }
 
 .wp-block-group.wrap-gruppe{
        flex-wrap: nowrap;
    }

 .wp-block-group.padding-wrap{
 
      flex-wrap: nowrap;
      padding: 0 20px 0 40px;
  }

    .bild-gruppe{
       width: 40%;
}
.bild-gruppe-20{
       width: 20%;
   }
  .bild-gruppe-30{
      width: 30%;
  } 
		
}


@media (min-width: 1024px) {
    .vertical-text{
        display:block;
        writing-mode: vertical-rl;
        text-orientation: upright;
        font-size: 60px;
        line-height: 1;
  
    }
 

}



   
   
.checkliste {
  list-style: none;
  padding-left: 0;
}

.checkliste li {
  position: relative;
  padding-left: 1.8em;
  margin-bottom: 0.5em;
}

.checkliste li::before {
  content: "✓";
  position: absolute;
  left: 0;
  font-weight: bold;
}   



.wp-font-awesome-icon {
	/*	font-size: calc(var(--fs-text) * 2);*/
	display: inline-block;
		transition: var(--transition);
	
	}

.wp-font-awesome-icon  svg {
    fill: var(--nav-active);
    filter: drop-shadow(1px 2px 2px var(--nav-matched));
}

.wp-block-button__link:hover .wp-font-awesome-icon {
  transform: scale(1.15);
}

.wp-block-button__link:hover .wp-font-awesome-icon svg {
  fill: var(--nav-active);
}
